import { Injectable } from '@angular/core';
import { Observable } from 'rxjs';

@Injectable({
  providedIn: 'root'
})
export class DataMserviceReaderService {

  constructor() { }

  readStream(): Observable<string>{
    const observerableSubject = Observable.create(observer => {
      const source = new EventSource('http://localhost:5000/deals');
      source.addEventListener('message', (event: MessageEvent) => {
          const data = JSON.parse(event.data);
          const jsonString = JSON.stringify(data);
          observer.next( jsonString );
        }, false);
    });
    return observerableSubject;
  }
}
